GOTO :START
@REM ##############################################################################
@REM # Installation script for Microsoft patch day May 2017
@REM # 
@REM # !!! This script is developed to use during basic installation procedure !!!
@REM # !!! A filter 'windowsXP' and 'X64' or 'X86' is used to select relevant patches    !!!
@REM # 
@REM # OS:           Windows7
@REM # updated by Jigar/Mike: OS:  WindowsXP
@REM # Processor:    X64 and X86
@REM # 
@REM # Author:       John,Kolbe
@REM # Department:   Siemens Healthcare GmbH, HC SI DC IN DI1 DEV SC 3
@REM # Release date: 15-may-2017
@REM ##############################################################################
:START
SET STARTDIR_PATCH=%~dp0
@SET OSID=

 
REM ###################################################################
REM Checking for MS Windows Operating System 
REM and install appropriate virus scanner (32bit or 64bit) 
REM ################################################################### 
 
@FOR /F "delims=;" %%i in ('ver ^|findstr -i 5\.0') do @SET OSID=32bit
@FOR /F "delims=;" %%i in ('ver ^|findstr -i 5\.1') do @SET OSID=32bit
@FOR /F "delims=;" %%i in ('ver ^|findstr -i 5\.2') do @SET OSID=64bit
@FOR /F "delims=;" %%i in ('ver ^|findstr -i 6\.0') do @SET OSID=64bit
@FOR /F "delims=;" %%i in ('ver ^|findstr -i 6\.1') do @SET OSID=64bit
@FOR /F "delims=;" %%i in ('ver ^|findstr -i 10\.0') do @SET OSID=64bit

@IF "%OSID%"=="64bit" (
	@ECHO 64 bit installation detected >> %LOCAL_LOG_FILE%
	goto 64Bit
) ELSE (
	@ECHO 32 bit installation detected >> %LOCAL_LOG_FILE%
)

@REM #################### MAIN ####################

:32Bit
@REM ### 32 bit  CHARM:
call :EXE_INSTALL %STARTDIR_PATCH%32\windowsxp-kb4012598-x86-custom-enu_eceb7d5023bbb23c0dc633e46b9c2f14fa6ee9dd.exe

GOTO :END


:64Bit
@REM ### 64 bit  CHARM:
call :EXE_INSTALL %STARTDIR_PATCH%64\windowsserver2003-kb4012598-x64-custom-enu_f24d8723f246145524b9030e4752c96430981211.exe


GOTO :END
@REM ##############################################

:MSU_INSTALL
	ECHO wusa.exe %1 /quiet /norestart /log:C:\temp\VS10A_HF01_LOG\Windows_hotfix_install_VS10A_HF01.evtx
	wusa.exe %1 /quiet /norestart /log:C:\temp\VS10A_HF01_LOG\Windows_hotfix_install_VS10A_HF01.evtx
	IF %ERRORLEVEL% == 0 (

				ECHO "Hotfix %1 is Successfully installed " >> %LOCAL_LOG_FILE%

	) ELSE IF %ERRORLEVEL% == 3010 (

				ECHO "Hotfix %1 is Successfully installed" >> %LOCAL_LOG_FILE%
					
	) ELSE (
				SET ERRORCODE=1
				ECHO "There are somme error in the installation of %1, Please check the installation logs" >> %LOCAL_LOG_FILE%
	)
	%SLEEP15%
GOTO :EOF

:EXE_INSTALL
	ECHO call %1 /q /norestart
	call %1 /q /norestart
	IF %ERRORLEVEL% == 0 (

				ECHO "Hotfix %1 is Successfully installed " >> %LOCAL_LOG_FILE%

	) ELSE IF %ERRORLEVEL% == 3010 (

				ECHO "Hotfix %1 is Successfully installed" >> %LOCAL_LOG_FILE%
					
	) ELSE (
				SET ERRORCODE=1
				ECHO "There are somme error in the installation of %1, Please check the installation logs" >> %LOCAL_LOG_FILE%
	)
	%SLEEP15%
GOTO :EOF

:INST_CERT
  ECHO certutil -addstore root "%1"
  certutil -addstore root "%1"
GOTO :EOF

:MSI_INSTALL
  ECHO call msiexec /i %1 /quiet /norestart
  call msiexec /i %1 /quiet /norestart
  %SLEEP15%
GOTO :EOF

:END
